Subject: Re: gcc/g77/gcj 2.95.2 for cygwin CD 1.0?
From: Steve Jorgensen <[email-masked]>
To: [email-masked] (Mumit Khan)
Cc: [email-masked], [email-masked]
Date: Tue, 16 Nov 1999 16:02:39 -0700 (MST)

Mumit Khan wrote
>> Steve Jorgensen <[email-masked]> writes:
>> > 	I need a version of the recent gcc 2.95.2 release compiled
>> > 	to work with the cygwin CD directory layout.  (Actually I only
>> > 	want the fortran part, but ... :)
>> > 
>> > 	Anyway, has someone already done this?  If not, I don't mind
>> > 	compiling it myself.  Can it be done straight from the gcc
>> > 	distribution file from gnu.org, or do I need a patch/special
>> > 	configuration parameters.
>> > 
>> > 	Any info is appreciated.
>> > 
>> 
>> Suhaib Siddiqui had sent me the CD layout, but I just haven't had time 
>> to look at it yet.
>> 
>> Few things I had forgotten to ask him, so I'll ask now:
>> 
	Well, I'm not sure I know all the answers, but here goes.

>> 1. What are the mount points guaranteed to be at installation time?
>>    (ie., is there a / that points to anything useful? Is there a
>>    /usr/include, /usr/bin? Or is everything in /bin).

	I installed my distribution in D:\Cygwin, and it mounted
	that as /.
>> 
>> 2. Output of CD gcc:
>>    
>>    $ gcc -v
Reading specs from /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/specs
gcc version 2.9-cygwin-990830
>>    $ gcc -print-search-dirs
install: /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/
programs: /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc-lib/i686-cygwin/:/usr/lib/gcc/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc/i686-cygwin/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/bin/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/bin/
libraries: /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/lib/i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/lib/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../i686-cygwin/2.9-cygwin-990830/:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../:/lib/i686-cygwin/2.9-cygwin-990830/:/lib/:/usr/lib/i686-cygwin/2.9-cygwin-990830/:/usr/lib/
>>    $ gcc -v -o hello.exe hello.c
Reading specs from /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/specs
gcc version 2.9-cygwin-990830
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/cpp.exe -lang-c -v -undef -D__GNUC__=2 -D__GNUC_MINOR__=9 -Di386 -D_WIN32 -DWINNT -D_X86_=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcall__)) -D__cdecl=__attribute__((__cdecl__)) -D__declspec(x)=__attribute__((x)) -D__i386__ -D_WIN32 -D__WINNT__ -D_X86_=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcall__)) -D__cdecl=__attribute__((__cdecl__)) -D__declspec(x)=__attribute__((x)) -D__i386 -D__WINNT -Asystem(winnt) -Acpu(i386) -Amachine(i386) -remap -Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__ -Di686 -Dpentiumpro -D__i686 -D__i686__ -D__pentiumpro -D__pentiumpro__ -D__CYGWIN32__ -D__CYGWIN__ tt.c /tmp/ccws3HHf.i
GNU CPP version 2.9-cygwin-990830 (80386, BSD syntax)
#include "..." search starts here:
#include <...> search starts here:
 /usr/include
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/include
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/include
 /usr/include
End of search list.
The following default directories have been omitted from the search path:
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../include/g++-2
End of omitted list.
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/cc1.exe /tmp/ccws3HHf.i -quiet -dumpbase tt.c -version -o /tmp/ccdQ1PHr.s
GNU C version 2.9-cygwin-990830 (i686-cygwin) compiled by GNU C version 2.9-cygwin-990830.
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/bin/as.exe -o /tmp/cc2Xjxo2.o /tmp/ccdQ1PHr.s
 /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/collect2.exe -o tt.exe /usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/lib/crt0.o -L/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830 -L/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../../../i686-cygwin/lib -L/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830/../../.. /tmp/cc2Xjxo2.o -lgcc -lcygwin -lkernel32 -ladvapi32 -lshell32 -lgcc
>>    
>>    [ hello.c can be any old hello world program ]
>> 
>> Given this, I can build a distribution -- if there's interest of course.
>> So far, there hasn't been. 

	Well, my only interest is in getting a working fortran compiler
	for the cygwin environment.. I've been told that the C and C++
	compiler that comes with the CD produce better binaries than
	the gcc 2.95.2 does, so I want to stick with the gcc and g++ from
	the CD.
>> 
>> My recommendation:

	I will try your suggestion.  If I manage to get it compiled, is
	there somewhere I can post the binaries for people?

						Steve
>>  
>> - get the gcc-2.95.2 source distro
>> - get x86-win32 patches from my site:
>>   ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/gcc-2.95.2/patches/
>> - build it:
>>     
>>     $ cd ~/src
>>     $ tar zxf /tmp/gcc-2.95.2.tar.gz
>>     $ cd gcc-2.95.2
>>     $ patch -p1 -s < /tmp/gcc-2.95.2-x86-win32.diff
>>   
>>   The file gcc-2.95.2-x86-win32.diff is included in my patchset. 
>>     
>>     $ mkdir /tmp/gcc-2.95.2-build
>>     $ cd /tmp/gcc-2.95.2-build
>>     $ ~/src/gcc-2.95.2/configure --prefix=/usr/local/gcc-2.95.2 \
>>       --enable-languages=c,c++,f77,objc,java \
>>       i686-cygwin
>>   
>>   Of course, you may want a different prefix, or the default (/usr/local).
>> 
>>     $ make 
>>     $ make install
>> 
>> This should work in theory, but I have no way to tell.

-- 
-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]